post:
    description: Create country
    body:
        application/json:
            example: !include post-request-example.json
            type: !include post-request-schema.json
    responses:
        201:
            body:
                application/json:
                    type: !include post-response-201-schema.json
                    example: !include post-response-201-example.json
        409:
            body:
                application/json:
                    type: !include post-response-409-schema.json
                    example: !include post-response-409-example.json
get:
    description: Countries catalog
    is: [paginated, sorted]
    queryParameters:
        id?:
            description: ID of the country to search
            type: number
            minimum: 1
            example: 1
        code?:
            description: Abbreviation code of the country to search
            type: string
            minLength: 2
            maxLength: 2
            pattern: ^[A-Z]{2}$
            example: MX
        name?:
            description: Name of the country to search
            type: string
            minLength: 2
            maxLength: 120
            example: México
    responses:
        200:
            body:
                application/json:
                    type: !include get-response-200-schema.json
                    example: !include get-response-200-example.json

/{id}:
    uriParameters: 
        id: 
            type: integer
            default: 1
            minimum: 1
            description: The `id` parameter to search country.
            example: 1
    get:
        description: Country detail
        responses:
            200:
                body:
                    application/json:
                        type: !include id/get-response-200-schema.json
                        example: !include id/get-response-200-example.json
            404:
                body:
                    application/json:
                        type: !include id/get-response-404-schema.json
                        example: !include id/get-response-404-example.json
    patch:
        description: Country update
        body:
            application/json:
                example: !include id/patch-request-example.json
                type: !include id/patch-request-schema.json
        responses:
            200:
                body:
                    application/json:
                        type: !include id/patch-response-200-schema.json
                        example: !include id/patch-response-200-example.json
            404:
                body:
                    application/json:
                        type: !include id/patch-response-404-schema.json
                        example: !include id/patch-response-404-example.json
            409:
                body:
                    application/json:
                        type: !include id/patch-response-409-schema.json
                        example: !include id/patch-response-409-example.json
    delete:
        description: Country delete
        responses:
            200:
                body:
                    application/json:
                        type: !include id/delete-response-200-schema.json
                        example: !include id/delete-response-200-example.json
            404:
                body:
                    application/json:
                        type: !include id/delete-response-404-schema.json
                        example: !include id/delete-response-404-example.json